org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerGremlinV1d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerGremlinV1d0

- All Implemented Interfaces:
    MessageSerializer

      public final class GraphSONMessageSerializerGremlinV1d0
      extends AbstractGraphSONMessageSerializerV1d0

  Serialize results to JSON with version 1.0.x schema.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `AbstractGraphSONMessageSerializerV1d0.GremlinServerModule, AbstractGraphSONMessageSerializerV1d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV1d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `mapper, mapTypeReference, TOKEN_USE_MAPPER_FROM_GRAPH`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerGremlinV1d0()`
    `GraphSONMessageSerializerGremlinV1d0(GraphSONMapper mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `configure, deserializeRequest, deserializeResponse, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerGremlinV1d0

          public GraphSONMessageSerializerGremlinV1d0()

    - #### GraphSONMessageSerializerGremlinV1d0

          public GraphSONMessageSerializerGremlinV1d0(GraphSONMapper mapper)

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.